corda / net.corda.client.fxutils / javafx.collections.ObservableList / map

# map

`fun <A, B> ObservableList<out A>.map(cached: Boolean = true, function: (A) -> B): ObservableList<B>`

val dogs: ObservableList = (..) val dogOwners: ObservableList = dogs.map { it.owner }

### Parameters

`cached` - If true the results of the mapped function are cached in a backing list. If false each get() will re-run the function.